PETSc version 3.15.5
Fix/Edit manual page

# TSGetComputeInitialCondition

Get the function used to automatically compute an initial condition for the timestepping.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetComputeInitialCondition(TS ts, PetscErrorCode (**initCondition)(TS, Vec))

Not collective

### Input Argument

| ts | - time stepping context

### Output Argument

| initConditions | - The function which computes an initial condition

### Notes

The calling sequence for the function is

    initCondition(TS ts, Vec u)

    ts - The timestepping context

    u  - The input vector in which the initial condition is stored

### See Also

TSSetComputeInitialCondition(), TSComputeInitialCondition()

### Level

advanced

### Location

src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages